App-V 4.x apps don't set Windows 8 deployment requirements in System Center 2012 Configuration Manager SP1

Applies to: App-V 4.6 for Terminal ServicesMicrosoft Application Virtualization 4.6 for Terminal Services Service Pack 1Microsoft Application Virtualization 4.6 for Windows Desktops More

Symptoms


You discover that the operating system requirements are not automatically selected when you add a Microsoft Application Virtualization 4.x application for Windows 8 or Windows 8.1 as a package in the System Center 2012 Configuration Manager Administrator console.

Cause


This behavior is by design.

Workaround


To work around this behavior, manually select Windows 8 or Windows 8.1 in the Edit Requirements dialog box of the package properties after you create the package.